const Services = require("../services");

class ExampleCtrl {
    async index(ctx, next) {
        const info = await Services.Example.getInfo();
        Object.assign(ctx.state, {
            ...info,
            "tplPath": "example"
        });

        await next();
    }
    async info(ctx, next) {
        ctx.body = {
            code: 200,
            data: {
                num: 1,
                condition: Math.random() > 0.5,
                list: [1, 2, 3, 4],
            }
        }
    }
}

module.exports = new ExampleCtrl;